Bug 1184617 - gdm login screen ignores monitors.xml configuration
gdm login screen ignores monitors.xml configuration
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
24
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-21 15:15 EST by Juan Antonio Martinez
Modified: 2017-07-26 10:14 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-26 10:14:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contents of /var/lib/gdm/.config/monitors.xml (910 bytes, text/plain)
2015-01-21 15:15 EST, Juan Antonio Martinez
no flags Details

  None (edit)
Description Juan Antonio Martinez 2015-01-21 15:15:53 EST
Created attachment 982518 [details]
contents of /var/lib/gdm/.config/monitors.xml

Description of problem:
- Using VGA1 and HDMI2 in clone configuration
- Copied ${HOME}/.config/monitors.xml to /var/lib/gdm/.config/monitors.xml as stated in several links to let gdm use same monitor config than normal users
- After update xorg-x11-drv-intel to latest version 2.21.15-9.fc20, monitors.xml seems to be ignored, and uses default startup configuration
- need to downgrade to xorg-x11-drv-intel 2.21.15-4.fc20 to get it running again

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel > 2.21.15-4.fc20

How reproducible:
Always



Steps to Reproduce:
1- sudo yum update xorg-x11-drv-intel to any version greater than 2.21.15-4.fc20
2- restart gdm.
3- X and GDM restarts to X default configuration, ignoring /var/lib/gdm/.config/monitors.xml

Actual results:
Login prompt appears in first monitor (actually HDMI2)


Expected results:
Login prompt appears in both monitors (as expected in "clone" configuration)

Additional info:

Xorg.o.log shows default configuration:
....
[  3515.968] (II) intel(0): EDID for output DP2
[  3515.968] (II) intel(0): Output VGA1 connected
[  3515.968] (II) intel(0): Output HDMI1 disconnected
[  3515.968] (II) intel(0): Output DP1 disconnected
[  3515.968] (II) intel(0): Output HDMI2 connected
[  3515.968] (II) intel(0): Output DP2 disconnected
[  3515.968] (II) intel(0): Using spanning desktop for initial modes
[  3515.968] (II) intel(0): Output VGA1 using initial mode 1920x1080 +0+0
[  3515.968] (II) intel(0): Output HDMI2 using initial mode 1920x1080 +1920+0
[  3515.968] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherw
ise stated.
....
Comment 1 Fedora End Of Life 2015-05-29 09:37:28 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-06-29 20:02:11 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Jeremy Newton 2016-01-21 19:47:54 EST
Still present on f22
Comment 4 Jeremy Newton 2016-01-21 19:55:41 EST
I can confirm this is a bug with the wayland backend.

Adding WaylandEnable=false to [daemon] in /etc/gdm/custom.conf no long produces this issue.

Should this be changed to a wayland bug?

Furthermore, can someone check this against f23?
Comment 5 Jeremy Newton 2016-01-21 20:01:32 EST
Upstream bug, bumping to rawhide:

https://bugzilla.gnome.org/show_bug.cgi?id=748098
Comment 6 Jean-Christophe Baptiste 2016-02-07 06:30:12 EST
I do have the problem with f23 (default settings).

It seems inconsistent: sometimes, after reloading Gnome-shell, it applies monitors.xml, and sometimes not.

Most of times, opening gnome-settings immediately refreshes screens and put it right back.
Comment 7 Jean-Christophe Baptiste 2016-02-07 06:34:19 EST
Also note that I restarted from scratch with an empty monitors.xml. Gnome-settings is recreating it properly.
Comment 8 Charles R. Anderson 2016-02-18 13:24:06 EST
(In reply to Jeremy Newton from comment #4)
> I can confirm this is a bug with the wayland backend.
> 
> Adding WaylandEnable=false to [daemon] in /etc/gdm/custom.conf no long
> produces this issue.

Wayland doesn't support rotation yet.  It is coming soon:

https://lists.fedoraproject.org/archives/list/desktop@lists.fedoraproject.org/message/2MAIRIHMJ5LZ2LKPDWNUV4GC6ZRDICYI/

https://fedoraproject.org/wiki/Changes/WaylandByDefault
Comment 9 Charles R. Anderson 2016-02-18 13:29:30 EST
So as a follow-on to bug #1292596 and bug #1288226, I'm now having the problem state in this bug--rotation works if I use xrandr manually, but gnome-shell won't restore the settings from monitors.xml in either ~/.config/monitors.xml or /var/lib/gdm/.config/monitors.xml.  Although I'm still using F23, not Rawhide.
Comment 10 Jan Kurik 2016-02-24 10:35:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 11 Alexandre Franke 2016-11-24 06:00:36 EST
This is still relevant for F25, but should probably be CLOSED UPSTREAM as it's a gdm issue and not Fedora specific.
Comment 12 Erik Streb del Toro 2016-12-19 02:46:20 EST
Comment 4 works around this bug, as Wayland is not able to rotate screen on many/most systems. That seems to be the problem, therefore imho not a GDM bug.
Comment 13 Alexandre Franke 2016-12-19 05:04:48 EST
(In reply to Erik Streb del Toro from comment #12)
> Comment 4 works around this bug, as Wayland is not able to rotate screen on
> many/most systems. That seems to be the problem, therefore imho not a GDM
> bug.

Wayland is able to work screens in most situations now. On my system my GNOME (on Wayland) session has my primary screen in portrait, not GDM but that's only because GDM doesn't take the configuration into consideration.

As I said in comment 11, this is a GDM issue and should be CLOSED UPSTREAM.
Comment 14 Fedora End Of Life 2017-07-25 14:48:38 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.